Subject: Re: [PATCH net 0/2] net: hsr: Use the seqnr lock for frames received via interlink port.

From: Sebastian Andrzej Siewior <[email-masked]>
Date: Fri, 13 Sep 2024 08:43:29 +0200

On 2024-09-12 17:14:13 [-0700], Jakub Kicinski wrote:
> On Thu, 12 Sep 2024 08:51:55 +0200 Sebastian Andrzej Siewior wrote:
> > > The fix doesn't look super urgent and with a repost it won't have
> > > time to get into tomorrow's PR with fixes. So I just pushed them
> > > both into net-next.  
> > 
> > I just noticed that you applied
> 
> Yeah, the plural "you", but still my bad for not putting two
> and two together :S

Oh I'm sorry, I didn't pay attention ;)

> >    b3c9e65eb2272 ("net: hsr: remove seqnr_lock")
> > 
> > to net. Patch 1/2 should replace that one and clashes with this one now.
> > I tried to explain that removing the lock and making it atomic can break
> > things again.
> > Should I send a revert of b3c9e65eb2272 to net?
> 
> I have a potentially very stupid plan to squash the revert into 
> the cross merge..

Whatever works best for you. I will probably send the revert+patch to
Greg for stable once he asks for it.

Sebastian